(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     16871,        519]
NotebookOptionsPosition[     11748,        377]
NotebookOutlinePosition[     15364,        462]
CellTagsIndexPosition[     15279,        457]
WindowTitle->Bra - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuantumAlgebra/guide/QuantumAlgebra"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUANTUMALGEBRA PACKAGE PACLET SYMBOL", "PacletNameCell"], Cell[
    TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Ket . \"\>":>Documentation`HelpLookup[
       "paclet:QuantumAlgebra/ref/Ket"], "\<\"BraKet . \"\>":>
       Documentation`HelpLookup[
       "paclet:QuantumAlgebra/ref/BraKet"], "\<\"Operator\"\>":>
       Documentation`HelpLookup["paclet:QuantumAlgebra/ref/Operator"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuantumAlgebra/ref/Bra\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["QuantumAlgebra/ref/Bra"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/QuantumAlgebra/ref/\
Bra.html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, 
            Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "QuantumAlgebra/ref/Bra", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1],

Cell["Bra", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"Bra", "[", "A__", "]"}]], "InlineFormula"],
     "\[LineSeparator]is the simple form of a Bra object where the sequence A \
labels the Bra. Additional forms allow the usage of indices. "
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"Bra", "[", 
       RowBox[{"A__", ",", 
        RowBox[{"{", 
         StyleBox["x__", "TI"], "}"}], ",", 
        RowBox[{"{", "}"}]}], "]"}]], "InlineFormula"],
     "\[LineSeparator]enables the use of a sequence of subscript indices (x). "
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"Bra", "[", 
       RowBox[{"A__", ",", 
        RowBox[{"{", "}"}], ",", 
        RowBox[{"{", 
         StyleBox["y__", "TI"], "}"}]}], "]"}]], "InlineFormula"],
     "\[LineSeparator]provides a sequence of superscripts (y). "
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"Bra", "[", 
       RowBox[{"A__", ",", 
        RowBox[{"{", 
         StyleBox["x__", "TI"], "}"}], ",", 
        RowBox[{"{", 
         StyleBox["y__", "TI"], "}"}]}], "]"}]], "InlineFormula"],
     "\[LineSeparator]provides subscripts as well as superscripts. \
\[LineSeparator]"
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, 
   "Rows" -> {None, None, None, {None}}, "RowsIndexed" -> {}}}],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->175606506],

Cell[TextData[{
 Cell[BoxData["ALIASES"], "InlineFormula"],
 ": \[LineSeparator][ESC] bra [ESC]   : bra \[LineSeparator][ESC] dbra [ESC]  \
: bra with subscript \[LineSeparator][ESC] ubra [ESC]  : bra with superscript \
\[LineSeparator][ESC] dubra [ESC] : bra with both scripts. \[LineSeparator]\
\[LineSeparator]Bra is also used as a tag for TagBoxes that guide the \
interpretation of the internal structure of bra notation."
}], "Notes",
 CellID->1067943069]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->244273473],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->92121615],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Loads", " ", "the", " ", "Application"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Needs", "[", "\"\<QuantumAlgebra`\>\"", "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->572725899],

Cell[CellGroupData[{

Cell[BoxData["\<\"Application Quantum Algebra by Juergen Habelt\"\>"], "Print",
 CellLabel->"During evaluation of In[8]:=",
 CellID->154128299],

Cell[BoxData["\<\"This package is based on the work of Cesar Guerra \
G.,\"\>"], "Print",
 CellLabel->"During evaluation of In[8]:=",
 CellID->7037705],

Cell[BoxData["\<\"who developed the original package for Mathematica \
4.1/4.2\"\>"], "Print",
 CellLabel->"During evaluation of In[8]:=",
 CellID->397605441],

Cell[BoxData["\<\"For proper styling You should invoke SetNotebookStyles \
once.\"\>"], "Print",
 CellLabel->"During evaluation of In[8]:=",
 CellID->311584966]
}, Open  ]],

Cell[BoxData["\<\"ALIASES:\\nESC op ESC - Operator without index\\nESC hop \
ESC - Hermitian Operator without index\\nESC ket ESC - Ket without \
index\\nESC ketd ESC - Ket with subscript(s)\\nESC ketu ESC - Ket with \
superscript(s)\\nESC ketdu ESC - Ket with subscript(s) & superscript(s)\\nESC \
bra ESC - Ket without index\\nESC dbra ESC - Bra with subscript(s)\\nESC ubra \
ESC - Bra with superscript(s)\\nESC dubra ESC - Bra with subscript(s) & \
superscript(s)\\nESC (du)braket(du) ESC - Bra with (left and / or right) \
subscript(s) and / or superscript(s)\\n.\"\>"], "Output",
 ImageSize->{383, 237},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->118732996]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Input", " ", "in", " ", "FullForm"}], ",", " ", 
    RowBox[{"Output", " ", "as", " ", "Bra", " ", "Symbol"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Bra", "[", "m", "]"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->100786896],

Cell[BoxData[
 TagBox[
  RowBox[{"\[LeftAngleBracket]", 
   AdjustmentBox[
    TagBox["m",
     QuantumAlgebra`QuantumNotation`BraArgs,
     BaseStyle->"BraKetArg"],
    BoxBaselineShift->0], 
   AdjustmentBox["\[VerticalSeparator]",
    BoxMargins->{{0, -0.2}, {0, 0}}]}],
  Bra,
  BaseStyle->"BraWrapper"]], "Output",
 ImageSize->{27, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->104728556]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Input", " ", "with", " ", "Input", " ", 
    RowBox[{"Alias", ":", " ", 
     RowBox[{"ESC", " ", "dbra", " ", "ESC"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  TagBox[
   RowBox[{
    SubscriptBox["\[InvisiblePrefixScriptBase]", 
     TagBox[
      AdjustmentBox[
       TagBox["1",
        QuantumAlgebra`QuantumNotation`BraArgs,
        BaseStyle->"BraKetArg"],
       BoxBaselineShift->0],
      QuantumAlgebra`QuantumNotation`UDScript,
      BaseStyle->"LIndex"]], 
    RowBox[{"\[LeftAngleBracket]", 
     AdjustmentBox[
      TagBox["n",
       QuantumAlgebra`QuantumNotation`BraArgs,
       BaseStyle->"BraKetArg"],
      BoxBaselineShift->0], 
     AdjustmentBox["\[VerticalSeparator]",
      BoxMargins->{{0, -0.2}, {0, 0}}]}]}],
   Bra,
   BaseStyle->"BraWrapper"]}]], "Input",
 CellLabel->"In[3]:=",
 CellID->6591982],

Cell[BoxData[
 TagBox[
  RowBox[{
   SubscriptBox["\[InvisiblePrefixScriptBase]", 
    TagBox[
     AdjustmentBox[
      TagBox["1",
       QuantumAlgebra`QuantumNotation`BraArgs,
       BaseStyle->"BraKetArg"],
      BoxBaselineShift->0],
     QuantumAlgebra`QuantumNotation`UDScript,
     BaseStyle->"LIndex"]], 
   RowBox[{"\[LeftAngleBracket]", 
    AdjustmentBox[
     TagBox["n",
      QuantumAlgebra`QuantumNotation`BraArgs,
      BaseStyle->"BraKetArg"],
     BoxBaselineShift->0], 
    AdjustmentBox["\[VerticalSeparator]",
     BoxMargins->{{0, -0.2}, {0, 0}}]}]}],
  Bra,
  BaseStyle->"BraWrapper"]], "Output",
 ImageSize->{32, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->353611923]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 StyleBox[ButtonBox["Ket . ",
  BaseStyle->"Link",
  ButtonData->"paclet:QuantumAlgebra/ref/Ket"],
  FontFamily->"Verdana"],
 StyleBox[ButtonBox["BraKet . ",
  BaseStyle->"Link",
  ButtonData->"paclet:QuantumAlgebra/ref/BraKet"],
  FontFamily->"Verdana"],
 Cell[BoxData[
  StyleBox[
   ButtonBox["Operator",
    BaseStyle->"Link",
    ButtonData->"paclet:QuantumAlgebra/ref/Operator"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"Bra - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2016, 5, 31, 18, 14, 48.0250210}", "context" -> 
    "QuantumAlgebra`", "keywords" -> {"Bra Ket BraKet Operator Dirac"}, 
    "index" -> True, "label" -> "QuantumAlgebra Package Paclet Symbol", 
    "language" -> "en", "paclet" -> "QuantumAlgebra Package", "status" -> 
    "None", "summary" -> 
    "Bra[A__] is the simple form of a Bra object where the sequence A labels \
the Bra. Additional forms allow the usage of indices. Bra[A__, {x__}, {}] \
enables the use of a sequence of subscript indices (x). Bra[A__, {}, {y__}] \
provides a sequence of superscripts (y). Bra[A__, {x__}, {y__}] provides \
subscripts as well as superscripts. ", "synonyms" -> {}, "title" -> "Bra", 
    "type" -> "Symbol", "uri" -> "QuantumAlgebra/ref/Bra"}, "LinkTrails" -> 
  "", "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.2 for Microsoft Windows (64-bit) (July 7, 2015)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"], 
   Cell["Bra Ket Styles", "Section"], 
   Cell[" The cells below define certain styles needed for defining \
Bras&Kets.These styles serve to give the correct structural properties to \
Bras & Kets ", "Text"], 
   Cell[
    StyleData["BraKetArg"], SpanMinSize -> Automatic, StyleMenuListing -> 
    None, AdjustmentBoxOptions -> {BoxMargins -> {{0, 0}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> True, Selectable -> True}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> "UnmatchedBracket"}], 
   Cell[
    StyleData["BraWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, SpanMinSize -> 
    2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0.2, -0.13}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["KetWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, SpanMinSize -> 
    2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{-0.1, 0.2}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["BraKetWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, 
    SpanMinSize -> 2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0.25, 0.25}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["RIndex"], StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{-0.16, 0}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}], 
   Cell[
    StyleData["LIndex"], StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0, -0.1}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}]}, Visible -> False, FrontEndVersion -> 
  "10.2 for Microsoft Windows (64-bit) (July 7, 2015)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[5972, 172, 461, 13, 30, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->244273473]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 15136, 450}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[597, 21, 76, 1, 3, "SymbolColorBar"],
Cell[676, 24, 194, 5, 19, "LinkTrail"],
Cell[873, 31, 2502, 57, 48, "AnchorBarGrid",
 CellID->1],
Cell[3378, 90, 46, 1, 43, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[3449, 95, 1405, 40, 272, "Usage"],
Cell[CellGroupData[{
Cell[4879, 139, 580, 17, 42, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->175606506],
Cell[5462, 158, 461, 8, 70, "Notes",
 CellID->1067943069]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5972, 172, 461, 13, 30, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->244273473],
Cell[CellGroupData[{
Cell[6458, 189, 147, 5, 25, "ExampleSection",
 CellID->92121615],
Cell[CellGroupData[{
Cell[6630, 198, 252, 7, 47, "Input",
 CellID->572725899],
Cell[CellGroupData[{
Cell[6907, 209, 143, 2, 23, "Print",
 CellID->154128299],
Cell[7053, 213, 151, 3, 23, "Print",
 CellID->7037705],
Cell[7207, 218, 158, 3, 23, "Print",
 CellID->397605441],
Cell[7368, 223, 160, 3, 23, "Print",
 CellID->311584966]
}, Open  ]],
Cell[7543, 229, 717, 12, 258, "Output",
 CellID->118732996]
}, Open  ]],
Cell[CellGroupData[{
Cell[8297, 246, 312, 9, 70, "Input",
 CellID->100786896],
Cell[8612, 257, 449, 16, 36, "Output",
 CellID->104728556]
}, Open  ]],
Cell[CellGroupData[{
Cell[9098, 278, 892, 29, 70, "Input",
 CellID->6591982],
Cell[9993, 309, 751, 26, 36, "Output",
 CellID->353611923]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10805, 342, 417, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[11225, 356, 481, 16, 70, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[11721, 375, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)
