(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      9930,        282]
NotebookOptionsPosition[      5645,        169]
NotebookOutlinePosition[      9130,        252]
CellTagsIndexPosition[      9046,        247]
WindowTitle->QAOrdering - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuantumAlgebra/guide/QuantumAlgebra"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUANTUMALGEBRA PACKAGE PACLET SYMBOL", "PacletNameCell"], Cell[
    TextData[Cell[BoxData[
     ActionMenuBox[
      FrameBox["\<\"URL \[RightGuillemet]\"\>",
       StripOnInput->False], {"\<\"QuantumAlgebra/ref/QAOrdering\"\>":>
      None, "\<\"Copy Mathematica url\"\>":>
      Module[{DocumentationSearch`Private`nb$}, 
       DocumentationSearch`Private`nb$ = NotebookPut[
          Notebook[{
            Cell["QuantumAlgebra/ref/QAOrdering"]}, Visible -> False]]; 
       SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
       FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
       NotebookClose[DocumentationSearch`Private`nb$]; Null], 
      Delimiter, "\<\"Copy web url\"\>":>
      Module[{DocumentationSearch`Private`nb$}, 
       DocumentationSearch`Private`nb$ = NotebookPut[
          Notebook[{
            Cell[
             BoxData[
              MakeBoxes[
               Hyperlink[
               "http://reference.wolfram.com/mathematica/QuantumAlgebra/ref/\
QAOrdering.html"], StandardForm]], "Input", TextClipboardType -> 
             "PlainText"]}, Visible -> False]]; 
       SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
       FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
       NotebookClose[DocumentationSearch`Private`nb$]; 
       Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
        NotebookLocate[{
          URL[
           StringJoin[
           "http://reference.wolfram.com/mathematica/", 
            "QuantumAlgebra/ref/QAOrdering", ".html"]], None}]}]},
      Appearance->None,
      MenuAppearance->Automatic]],
     LineSpacing->{1.4, 0}]], "AnchorBar"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1],

Cell["QAOrdering", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"QAOrdering", "[", 
       RowBox[{
        StyleBox["expr_", "TI"], ",", " ", 
        StyleBox["list_", "TI"]}], "]"}]], "InlineFormula"],
     "\[LineSeparator]transforms expr, which is formed by a product of \
operators to an equivalent expression in which the order of the products is \
changed. The new order will be as given in list from left to right."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}}],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->299690040],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->546582820],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Loads", " ", "the", " ", "application"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Needs", "[", "\"\<QuantumAlgebra`\>\"", "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->595434177],

Cell[CellGroupData[{

Cell[BoxData["\<\"Application Quantum Algebra by Juergen Habelt\"\>"], "Print",
 CellID->8902022],

Cell[BoxData["\<\"This package is based on the work of Cesar Guerra \
G.,\"\>"], "Print",
 CellID->720816522],

Cell[BoxData["\<\"who developed the original package for Mathematica \
4.1/4.2\"\>"], "Print",
 CellID->418494514],

Cell[BoxData["\<\"For proper styling You should invoke SetNotebookStyles \
once.\"\>"], "Print",
 CellID->45405548]
}, Open  ]],

Cell[BoxData["\<\"ALIASES:\\nESC op ESC - Operator without index\\nESC hop \
ESC - Hermitian Operator without index\\nESC ket ESC - Ket without \
index\\nESC ketd ESC - Ket with subscript(s)\\nESC ketu ESC - Ket with \
superscript(s)\\nESC ketdu ESC - Ket with subscript(s) & superscript(s)\\nESC \
bra ESC - Ket without index\\nESC dbra ESC - Bra with subscript(s)\\nESC ubra \
ESC - Bra with superscript(s)\\nESC dubra ESC - Bra with subscript(s) & \
superscript(s)\\nESC (du)braket(du) ESC - Bra with (left and / or right) \
subscript(s) and / or superscript(s).\"\>"], "Output",
 ImageSize->{390, 220},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->157411777]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"QAOrdering - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2016, 5, 31, 18, 15, 9.6783959}", "context" -> 
    "QuantumAlgebra`", "keywords" -> {}, "index" -> True, "label" -> 
    "QuantumAlgebra Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "QuantumAlgebra Package", "status" -> "None", "summary" -> 
    "QAOrdering[expr_, list_] transforms expr, which is formed by a product \
of operators to an equivalent expression in which the order of the products \
is changed. The new order will be as given in list from left to right.", 
    "synonyms" -> {}, "title" -> "QAOrdering", "type" -> "Symbol", "uri" -> 
    "QuantumAlgebra/ref/QAOrdering"}, "LinkTrails" -> "", 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.2 for Microsoft Windows (64-bit) (July 7, 2015)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"], 
   Cell["Bra Ket Styles", "Section"], 
   Cell[" The cells below define certain styles needed for defining \
Bras&Kets.These styles serve to give the correct structural properties to \
Bras & Kets ", "Text"], 
   Cell[
    StyleData["BraKetArg"], SpanMinSize -> Automatic, StyleMenuListing -> 
    None, AdjustmentBoxOptions -> {BoxMargins -> {{0, 0}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> True, Selectable -> True}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> "UnmatchedBracket"}], 
   Cell[
    StyleData["BraWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, SpanMinSize -> 
    2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0.2, -0.13}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["KetWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, SpanMinSize -> 
    2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{-0.1, 0.2}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["BraKetWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, 
    SpanMinSize -> 2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0.25, 0.25}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["RIndex"], StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{-0.16, 0}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}], 
   Cell[
    StyleData["LIndex"], StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0, -0.1}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}]}, Visible -> False, FrontEndVersion -> 
  "10.2 for Microsoft Windows (64-bit) (July 7, 2015)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[3470, 97, 461, 13, 30, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->299690040]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 8904, 240}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[604, 21, 76, 1, 3, "SymbolColorBar"],
Cell[683, 24, 194, 5, 19, "LinkTrail"],
Cell[880, 31, 1904, 42, 48, "AnchorBarGrid",
 CellID->1],
Cell[2787, 75, 53, 1, 43, "ObjectName",
 CellID->1224892054],
Cell[2843, 78, 602, 15, 95, "Usage"],
Cell[CellGroupData[{
Cell[3470, 97, 461, 13, 30, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->299690040],
Cell[CellGroupData[{
Cell[3956, 114, 148, 5, 25, "ExampleSection",
 CellID->546582820],
Cell[CellGroupData[{
Cell[4129, 123, 252, 7, 47, "Input",
 CellID->595434177],
Cell[CellGroupData[{
Cell[4406, 134, 97, 1, 23, "Print",
 CellID->8902022],
Cell[4506, 137, 109, 2, 23, "Print",
 CellID->720816522],
Cell[4618, 141, 114, 2, 23, "Print",
 CellID->418494514],
Cell[4735, 145, 115, 2, 23, "Print",
 CellID->45405548]
}, Open  ]],
Cell[4865, 150, 714, 12, 241, "Output",
 CellID->157411777]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[5618, 167, 23, 0, 41, "FooterCell"]
}
]
*)

(* End of internal cache information *)
